For the complete documentation index, see llms.txt. This page is also available as Markdown.

Agents

List ring group agents

get

Retrieve a collection of ring group agents.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

The unique ID of the resource.

Example: NzAwNTUxOTA5NzczMTQ4MTYw
Responses
200

OK

application/json
get/ring_groups/{id}/agents
GET /api/ring_groups/{id}/agents HTTP/1.1
Host: HOSTNAME:8887
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "items": [
    {
      "extension_number": "text",
      "display_name": "text",
      "skill_level": 1
    }
  ]
}

Update ring group member list

post

Update ring group member list.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

The unique ID of the resource.

Example: NzAwNTUxOTA5NzczMTQ4MTYw
Body
Responses
200

OK

No content

post/ring_groups/{id}/agents
POST /api/ring_groups/{id}/agents HTTP/1.1
Host: HOSTNAME:8887
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 55

{
  "items": [
    {
      "extension_number": "text",
      "skill_level": 1
    }
  ]
}

No content

Retrieve ring group agent details.

get

Retrieve information of ring group agent.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

The unique ID of the resource.

Example: NzAwNTUxOTA5NzczMTQ4MTYw
agent_numberstring · min: 3 · max: 64Required

The extension number.

Pattern: [0-9]{3,64}
Responses
200

OK

application/json
extension_numberstring · min: 3 · max: 64Optional

The extension number.

Pattern: [0-9]{3,64}
display_namestring · max: 1024Optional

The display name of user.

skill_levelinteger · int32 · min: 1 · max: 100Optional

The skill level of agent in ring group.
Only valid when ring_strategy is skill based.

Default: 1
get/ring_groups/{id}/agents/{agent_number}
GET /api/ring_groups/{id}/agents/{agent_number} HTTP/1.1
Host: HOSTNAME:8887
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "extension_number": "text",
  "display_name": "text",
  "skill_level": 1
}

Was this helpful?